[Deprecated]: v1.0
post
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/siteslabs
Deprecated: Use /v2.0/studies/{studyId}/{mode}/labs/siteslabs instead.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : AddLabSiteTO v1.0
Type:
objectTitle:
AddLabSiteTO v1.0Request to link labs with sites.
Show Source
-
labs(required): array
Labs
Title:
LabsList of lab identifiers to link to the sites. -
sites(required): array
Sites
Title:
SitesList of site identifiers to associate.
Nested Schema : Labs
Type:
arrayTitle:
LabsList of lab identifiers to link to the sites.
Show Source
Example:
B1B8327AFAA6412287106192AB5984EFNested Schema : Sites
Type:
arrayTitle:
SitesList of site identifiers to associate.
Show Source
Example:
B1B8327AFAA6412287106192AB5984EFExamples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SdfId
Type:
objectContains SDF ID
Show Source
-
id: string
(uuid)
Pattern:
^[A-F0-9]{32}$Unique Id for SDF.
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples